from flask import render_template, redirect, url_for, g

from mo.web import app


@app.route('/doc/garant')
def doc_garant():
    return render_template('doc_garant.html')


@app.route('/doc/gdpr')
def doc_gdpr():
    return render_template('doc_gdpr.html')


@app.route('/doc/about')
def doc_about():
    return render_template('doc_about.html')


@app.route('/')
def index():
    """Titulní stránka, která přihlášené uživatele přesměruje do jejich sekce."""

    if g.user:
        if g.user.is_admin or g.user.is_org:
            return redirect(url_for('org_index'))
        else:
            return redirect(url_for('user_index'))

    return render_template('main.html')
