#!/usr/bin/env python3

import setuptools

setuptools.setup(
    name='osmo',
    version='0.1',
    description='Odevzdávací systém Matematické olympiády',
    packages=['mo', 'mo/ext', 'mo/jobs', 'mo/web'],
    scripts=[
        'bin/add-role',
        'bin/create-contests',
        'bin/create-round',
        'bin/create-user',
        'bin/export-orgs',
        'bin/import-points',
        'bin/merge-users',
        'bin/p-score',
        'bin/reset-user',
        'bin/run-jobs',
    ],
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        # Udržujte prosím seřazené
        'Flask',
        'Flask',
        'Flask-WTF',
        'WTForms',
        'bcrypt',
        'bleach',
        'blinker',
        'click',
        'dateutils',
        'flask_bootstrap',
        'flask_sqlalchemy',
        'markdown',
        'pikepdf',
        'psycopg2',
        'sqlalchemy',
        'uwsgidecorators',
    ],
)
